﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Graphics;


namespace Coursework
{

    /// <summary>
    /// Defines the properties for the basicEffect fog
    /// </summary>
    class Fog
    {
        float fogNear;
        float fogFar;
        bool fogOn;
        Vector3 fogColour;

        /// <summary>
        /// Set the basic fog properties
        /// </summary>
        /// <param name="near">distance away the fog starts</param>
        /// <param name="far">distance away the fog ends</param>
        /// <param name="colour">colour of the fog</param>
        /// <param name="show">to show the fog or not</param>
        public void initFog(float near, float far, Vector3 colour, bool show)
        {
            //set values
            fogNear = near;
            fogFar = far;
            fogOn = show;
            fogColour = colour;
        }

        //getter/setter methods for fog clipping, colour and to show it
        public float near { get { return fogNear; } set { fogNear = value; } }
        public float far { get { return fogFar; } set { fogFar = value; } }
        public Vector3 colour { get { return fogColour; } set { fogColour = value; } }
        public bool show { get { return fogOn; } set { fogOn = value; } } 
    }
}
